/** 
 *******************************************************************************
 * @file    main.h
 * @brief   the header file of TMRB_PPG demo for the TOSHIBA
 *          'TMPM372' Device Series 
 * @version V0.102
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "tmpm372_tmrb.h"
#include "led.h"
#include "sw.h"
/* Private define ------------------------------------------------------------*/

#define TMRB6TIME       0x1388U /* TMRB6 for PPG , Ttmrb = 0.1us, 500us/0.1us = 5000 = 0x1388 */
#define LEADINGTIMINGMAX         0x05U   /* LEADINGTIMING RATE COUNTER MAX */
#define LEADINGTIMINGINIT        0U      /* LEADINGTIMING RATE COUNTER Initialize */
#define KEYPORT         GPIO_PE /* KEY input port, according to board */

/* External function prototypes ----------------------------------------------*/
#endif
